Package: groovy.json.internal

## [Java] Enum StringImplementation

- groovy.json.internal.FastStringUtils.StringImplementation

- Authors:
    Stéphane Landelle

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `DIRECT_CHARS` |
    `OFFSET` |
    `UNKNOWN` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `noCopyStringFromChars(char[] chars)`
    `char[]` | `toCharArray(String string)` @author Rick Hightower

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### FastStringUtils.StringImplementation DIRECT_CHARS

    - #### FastStringUtils.StringImplementation OFFSET

    - #### FastStringUtils.StringImplementation UNKNOWN

  - ### Method Detail

    - #### public String noCopyStringFromChars(char[] chars)

    - #### public char[] toCharArray(String string)

      Authors:
        Rick Hightower
        Stephane Landelle (creator of Gatling and JSONPath and first Boon JSON parser adopter.)